# TODO
# - lighttpd support
%define	_hordeapp jeta

%include	/usr/lib/rpm/macros.php
Summary:	Wrapper around the Java SSH App
Summary(pl.UTF-8):	Wrapper dla Java SSH App
Name:		horde-%{_hordeapp}
Version:	1.0
Release:	5
License:	GPL v2
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/jeta/%{_hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	674449d79e603db2fa88c6de8882ccd4
Source1:	%{_hordeapp}-apache.conf
Source2:	%{_hordeapp}-httpd.conf
URL:		http://www.horde.org/jeta/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.264
Requires:	apache(mod_access)
Requires:	horde >= 3.0
Requires:	webapps
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_pear	Horde.*

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{_hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Jeta is the Horde module that provides a Java SSH interface to login
to the webserver (or another server with the use of additional relay
software).

%description -l pl.UTF-8
Jeta to moduł Horde, który dostarcza interfejs Java SSH, służący do
połączenia się na serwer WWW (albo inny serwer z użyciem dodatkowego
programu przekazującego).

%prep
%setup -q -n %{_hordeapp}-h3-%{version}

rm config/.htaccess lib/.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done
# considered harmful (horde/docs/SECURITY)
rm test.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a lib locale templates themes jar $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc README docs/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes

%{_appdir}/jar
%changelog
* Mon Aug 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/horde-jeta.git;a=log;h=master

* Mon Aug 05 2013 Jan Rękorajski <baggins@pld-linux.org> 7ce806a
- updated noautoreq for rpm5
- rel 5

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> e6073e8
- migrated to apache 2.4

* Tue Oct 14 2008 Jan Rękorajski <baggins@pld-linux.org> df4a8fb
- rel 3
- it's SSH, not telnet
- it's GPLv2

* Thu Oct 09 2008 Elan Ruusamäe <glen@pld-linux.org> 0fd15cf
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 8d9d227
- use correct dir name in setup

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 05a447a
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 59447b2
- removed unreadable tangle of macros and ugly hacks

* Wed Aug 01 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> 6389bdd
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5361930
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 23e987f
- converted to UTF-8

* Mon Jan 29 2007 Elan Ruusamäe <glen@pld-linux.org> 4ec051b
- 1.0-FINAL

* Fri Sep 29 2006 Elan Ruusamäe <glen@pld-linux.org> 645a288
- update webapp triggers due apache1 package split

* Sat Aug 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 4d515ce
- pl desc fix

* Mon Aug 07 2006 Sławomir Paszkiewicz <paszczus@pld-linux.org> 57c376b
- added pl desc
- added TODO (pl sum)
- release 1 (works for me)

* Mon Aug 07 2006 Elan Ruusamäe <glen@pld-linux.org> f84d7af
- package jar dir

* Sun Aug 06 2006 Elan Ruusamäe <glen@pld-linux.org> 315eea2
- cleanups

* Sun Aug 06 2006 Sławomir Paszkiewicz <paszczus@pld-linux.org> c543ffe
- for horde-jeta.spec

* Sun Aug 06 2006 Sławomir Paszkiewicz <paszczus@pld-linux.org> 9f067b7
- initial spec

